Index: trunk/abdev/BasicCompiler64/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 169)
+++ trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 183)
@@ -79,5 +79,5 @@
 				Name="VCLinkerTool"
 				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib commond.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib commond.lib smoothied.lib"
 				OutputFile="../ActiveBasic/BasicCompiler64.exe"
 				LinkIncremental="2"
@@ -153,6 +153,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="2"
+				EnableIntrinsicFunctions="true"
 				FavorSizeOrSpeed="1"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;..\BasicCompiler_Common\include"
+				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\STLPort;..\..\cpplibs\boost;..\BasicCompiler_Common\include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN;_AMD64_;_WIN64"
 				MinimalRebuild="false"
@@ -187,5 +188,5 @@
 				Name="VCLinkerTool"
 				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib common.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib common.lib smoothie.lib"
 				OutputFile="../ActiveBasic/BasicCompiler64.exe"
 				LinkIncremental="1"
@@ -275,90 +276,34 @@
 			</Filter>
 			<Filter
-				Name="Common Classes"
-				>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Smoothie.h"
-					>
-				</File>
-				<Filter
-					Name="Meta Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Namespace.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Parameter.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Procedure.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Symbol.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Type.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\TypeDef.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Variable.h"
-						>
-					</File>
-					<Filter
-						Name="Prototype"
-						>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Class.h"
-							>
-						</File>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Member.h"
-							>
-						</File>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Method.h"
-							>
-						</File>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Prototype.h"
-							>
-						</File>
-					</Filter>
-				</Filter>
-				<Filter
-					Name="Lexical Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Source.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Operation Statements"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Exception.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Module"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\ObjectModule.h"
-						>
-					</File>
-				</Filter>
-			</Filter>
-			<Filter
 				Name="Application Classes"
 				>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\ClassImpl.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\CodeGenerator.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Compiler.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\DataTable.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Exception.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\LexicalScopingImpl.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\ProcedureImpl.h"
+					>
+				</File>
 				<File
 					RelativePath="..\BasicCompiler_Common\include\Program.h"
@@ -919,12 +864,4 @@
 					>
 					<File
-						RelativePath="..\BasicCompiler_Common\DataTable.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\LoopRefCheck.cpp"
-						>
-					</File>
-					<File
 						RelativePath="..\BasicCompiler_Common\NonVolatile.cpp"
 						>
@@ -993,12 +930,4 @@
 					>
 					<File
-						RelativePath="..\BasicCompiler_Common\Class.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Class.h"
-						>
-					</File>
-					<File
 						RelativePath="..\BasicCompiler_Common\Enum.cpp"
 						>
@@ -1022,16 +951,4 @@
 				</Filter>
 				<Filter
-					Name="LexicalScoping"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\LexicalScoping.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\LexicalScoping.h"
-						>
-					</File>
-				</Filter>
-				<Filter
 					Name="Constant"
 					>
@@ -1066,68 +983,4 @@
 					<File
 						RelativePath="..\BasicCompiler_Common\Subroutine.cpp"
-						>
-					</File>
-				</Filter>
-			</Filter>
-			<Filter
-				Name="Common Classes"
-				>
-				<File
-					RelativePath="..\BasicCompiler_Common\src\Smoothie.cpp"
-					>
-				</File>
-				<Filter
-					Name="Meta Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Member.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Method.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Namespace.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Procedure.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Prototype.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Symbol.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Type.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\TypeDef.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Variable.cpp"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Lexical Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Source.cpp"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Operation Statements"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Exception.cpp"
 						>
 					</File>
@@ -1138,5 +991,37 @@
 				>
 				<File
+					RelativePath="..\BasicCompiler_Common\src\ClassImpl.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\CodeGenerator.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\Compiler.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\DataTable.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\Exception.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\LexicalScopingImpl.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\ProcedureImpl.cpp"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\src\Program.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\SmoothieImpl.cpp"
 					>
 				</File>
